/*
 *  Copyright (C) 2015-2017  Thadeu Lima de Souza Cascardo <cascardo@cascardo.eti.br>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef _CARNE_H
#define _CARNE_H

#include <stdio.h>
#include "declaracao.h"

struct carne {
	int mes;
	long long rendimento;
	long long alugueis;
	long long outros;
	long long exterior;
	long long caixa;
	long long alimentos;
	long long dependentes;
	long long previdencia;
	long long base;
	long long imposto;
	int dependente;
};

void carne_salva(struct declaracao *dec, FILE *f);
void carne_free(void *pointer);

int carne_cmd_init(void);

#endif
